## org.hibernate.internal.jaxb.mapping.orm
Class JaxbCollectionTable

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbCollectionTable

    public class JaxbCollectionTable

extends Object

Field Summary
`protected String` `catalog`
`protected List<JaxbJoinColumn>` `joinColumn`
`protected String` `name`
`protected String` `schema`
`protected List<JaxbUniqueConstraint>` `uniqueConstraint`

Constructor Summary
`JaxbCollectionTable()`

Method Summary
`String` `getCatalog()` Gets the value of the catalog property.
`List<JaxbJoinColumn>` `getJoinColumn()` Gets the value of the joinColumn property.
`String` `getName()` Gets the value of the name property.
`String` `getSchema()` Gets the value of the schema property.
`List<JaxbUniqueConstraint>` `getUniqueConstraint()` Gets the value of the uniqueConstraint property.
`void` `setCatalog(String value)` Sets the value of the catalog property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setSchema(String value)` Sets the value of the schema property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### joinColumn

    protected List<JaxbJoinColumn> joinColumn

### uniqueConstraint

    protected List<JaxbUniqueConstraint> uniqueConstraint

### name

    protected String name

### catalog

    protected String catalog

### schema

    protected String schema

Constructor Detail

### JaxbCollectionTable

    public JaxbCollectionTable()

Method Detail

### getJoinColumn

    public List<JaxbJoinColumn> getJoinColumn()

  Gets the value of the joinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the joinColumn property.

  For example, to add a new item, do as follows:

          getJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbJoinColumn`

### getUniqueConstraint

    public List<JaxbUniqueConstraint> getUniqueConstraint()

  Gets the value of the uniqueConstraint property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the uniqueConstraint property.

  For example, to add a new item, do as follows:

          getUniqueConstraint().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbUniqueConstraint`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.